ECHO OFF
CLS
ECHO.
ECHO.
ECHO     WARNING ! ! !
ECHO.
ECHO     IF YOU ARE UPGRADING SRIII:
ECHO     1.MAKE SURE YOU DO NOT HAVE ANY UNPAID GUESTS CHECKS,PRICE QUOTES
ECHO       OR OPEN INVOICES, BEFORE CONTINUING, BECAUSE THIS FILE WILL BE 
ECHO       DELETED.
ECHO     2.BACK-UP ALL YOUR FILES IN THE SRIII\ & SRIII\DATA DIRECTORIES.
ECHO       YOU MAY SIMPLY COPY THE FILES TO PRAC\ & PRAC\DATA DIRECTORIES.
ECHO     3.IF YOU MODIFIED THE RESTRE.BAT & BKUP.BAT FILES, THEN
ECHO       COPY THESE FILES BACK TO THE SRIII\ DIR. AFTER INSTALLING.
ECHO     4.DELETE ALL THE PROGRAM FILES IN THE SRIII\ DIRECTORY.
ECHO     5.OVERWRITE THE FOLLOWING FILES, WHEN ASKED TO DO SO:
ECHO       CONM.DAT, ARNM.DAT, ETNM.DAT, PONM.DAT, WSNM.DAT, UTNM.DAT,
ECHO       RENM.DAT, MTNM.DAT, & ECNM.DAT.
ECHO     6.AFTER INSTALLING, CHECK ALL THE CASH REGISTER DEFAULTS.
ECHO.
ECHO     IF YOU ARE UPGRADING A VERSION OF SALES REGISTER III PRIOR TO
ECHO     V.1.9, YOU MUST DO THE FOLLOWING AFTER INSTALLING THIS UPGRADE:
ECHO     1. UPDATE YOUR EMPLOYEE DATA FILE FROM THE ENTER/EDIT EMPLOYEE
ECHO        MENU.
ECHO     2. DELETE ALL YOUR INVENTORY MENU'S AND CREATE NEW ONES.
ECHO.
ECHO     Press Ctrl+C to abort.
PAUSE
CLS
ECHO.
ECHO.
ECHO     TO INSTALL FROM FLOPPY DRIVE A TO HARD DISK DRIVE C PLACE THE
ECHO     SALES REGISTER III DISTRIBUTION DISKETTE #1 IN DRIVE A:
ECHO     TYPE A: PRESS ENTER
ECHO     TYPE INSTALL A: C:
ECHO     THIS WILL CREATED AN SRIII\ AND AN SRIII\DATA\ SUB-DIRECTORY AND 
ECHO     COPY THE SALES REGISTER PROGRAM FILES TO  THE  SRIII\  DIRECTORY
ECHO     AND THE SALES REGISTER DATA FILES TO THE SRIII\DATA\ SUB-DIRECTORY
ECHO.
ECHO     Press Ctrl+C to abort.
PAUSE
IF %1X == X GOTO ERROR MSG
IF %2X == X GOTO ERROR MSG
IF %1 == %2 GOTO ERROR MSG
GOTO START
:ERROR MSG
ECHO   *** ERROR ***  YOU DID NOT SPECIFY THE SOURCE AND TARGET DRIVES ***
ECHO.
ECHO     Press Ctrl+C to abort (DO NOT CONTINUE ! ! !)
PAUSE
:START
CLS
ECHO.
ECHO.
ECHO     INSTALLING SALES REGISTER III PROGRAM FILES. . .
ECHO                  PLEASE WAIT !!!
%2
CD\
MD\SRIII
MD\SRIII\DATA
CD\SRIII
%1
COPY *.* %2
CLS
ECHO.
ECHO.
ECHO.
ECHO.    INSERT SALES REGISTER III DISK #2
ECHO.
PAUSE
CLS
ECHO.
ECHO.
ECHO     INSTALLING SALES REGISTER III PROGRAM FILES. . .
ECHO                  PLEASE WAIT !!!
COPY *.* %2
CLS
%2
CLS
SR1 
SR2
DEL SR1.EXE
DEL SR2.EXE
CD\SRIII\DATA
DEL GUESTCHK.NDX
CD\SRIII
CLS
ECHO.
ECHO.
ECHO.
ECHO           I N S T A L L A T I O N  C O M P L E T E ! ! !
ECHO.
PAUSE
CLS
SRIII
